aboutsummaryrefslogtreecommitdiff
path: root/build-setup.sh
diff options
context:
space:
mode:
authordos-reis <gdr@axiomatics.org>2007-08-14 05:14:52 +0000
committerdos-reis <gdr@axiomatics.org>2007-08-14 05:14:52 +0000
commitab8cc85adde879fb963c94d15675783f2cf4b183 (patch)
treec202482327f474583b750b2c45dedfc4e4312b1d /build-setup.sh
downloadopen-axiom-ab8cc85adde879fb963c94d15675783f2cf4b183.tar.gz
Initial population.
Diffstat (limited to 'build-setup.sh')
-rwxr-xr-xbuild-setup.sh48
1 files changed, 48 insertions, 0 deletions
diff --git a/build-setup.sh b/build-setup.sh
new file mode 100755
index 00000000..c36ea82b
--- /dev/null
+++ b/build-setup.sh
@@ -0,0 +1,48 @@
+#! /bin/sh
+
+error() {
+ echo "$1"
+ exit 1
+}
+
+# set -x
+
+notangle ./configure.ac.pamphlet > ./tmp-configure.ac \
+ || error "could not extract configure.ac from pamphlet file"
+config/move-if-change tmp-configure.ac configure.ac
+
+autoheader || error "could not re-generate config/axiom-c-macros.h"
+autoconf || error "could not re-generate configure"
+
+## subdirectories that contain Makefile pamphlets of interest
+SUBDIRS=" . \
+ src \
+ src/lib \
+ src/lisp \
+ src/boot \
+ src/interp \
+ src/share \
+ src/algebra \
+ src/etc \
+ src/clef \
+ src/doc \
+ src/graph \
+ src/graph/Gdraws \
+ src/graph/view2D \
+ src/graph/view3D \
+ src/graph/viewAlone \
+ src/graph/viewman \
+ src/sman \
+ src/hyper \
+ src/input \
+ src/booklets \
+"
+
+
+for d in $SUBDIRS; do
+ notangle -t8 $d/Makefile.pamphlet > $d/tmp-Makefile.in \
+ || error "could not extract $d/Makefile.in from pamphlet file"
+ config/move-if-change $d/tmp-Makefile.in $d/Makefile.in
+done
+
+# set +x